Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.query.order
Class PropertyAuditOrder

    java.lang.Object
      org.hibernate.envers.query.order.PropertyAuditOrder

All Implemented Interfaces:
  AuditOrder

    public class PropertyAuditOrder

extends Object
implements AuditOrder

Constructor Summary
`PropertyAuditOrder(PropertyNameGetter propertyNameGetter, boolean asc)`

Method Summary
`Pair<String,Boolean>` | `getData(AuditConfiguration auditCfg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyAuditOrder

    public PropertyAuditOrder(PropertyNameGetter propertyNameGetter,
                              boolean asc)

Method Detail

### getData

    public Pair<String,Boolean> getData(AuditConfiguration auditCfg)

  Specified by:
    `getData` in interface `AuditOrder`
  Parameters:
    `auditCfg` - Configuration.
  Returns:
    A pair: (property name, ascending?).

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.